
Foreman - Feature #1871

VPC support on EC2 compute

09/19/2012 04:52 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The patch prosposed on blog entry (http://blog.theforeman.org/2012/05/ec2-provisioning-using-foreman.html)

http://pastie.org/4002125 doesn't work.

With this modification proposed by ohad '<%= select_f f, :subnet_id , vpcs, :id, :cidr_block, {}, :label => "VPC" %>'

I get this in debug mode :

http://pastebin.com/ZEFNbWyc

Related issues:

Related to Foreman - Feature #1868: Foreman should ask which VPC to use when ... Duplicate 09/17/2012

Related to Foreman - Bug #1879: Foreman fails to acquire IP when using AWS VP... Resolved 10/02/2012

Associated revisions

Revision beed05de - 09/07/2013 12:34 PM - Mark O'Shea 

fixes #1871, #1879 - add VPC support to EC2 compute resource

Based on patch from Romain Vrignaud <romain@yakaz.com>

History

#1 - 10/16/2012 08:50 AM - Ohad Levy

- Tracker changed from Bug to Feature

#2 - 10/16/2012 08:50 AM - Ohad Levy

@Romain, do you have the latest patch that worked? IMHO the only thing left here is to have a logic choosing which ip address to use (public vs

private) for ssh

#3 - 10/18/2012 06:45 AM - Romain Vrignaud

Here is the paste that I use in production : http://pastie.org/5078094

For  +super.merge({ :ip => :private_ip_address })  this is related to #1879

#4 - 01/10/2013 07:51 AM - Ohad Levy

- Target version changed from 1.1 to 1.2.0

#5 - 03/25/2013 06:28 PM - Will Sterling

Romain Vringnaud has submitted a commit request that looks promising but I am having trouble getting it to merge with 1.2. 

app/views/compute_resources_vms/form/_ec2.html.erb fails to render and only one of four VPC subnets appear in the network tab.  Romain thinks

the problem comes from the recently added multi-nic support.  Any ideas on what change this commit would need to work with 1.2?  

https://github.com/theforeman/foreman/pull/237/files

#6 - 04/25/2013 06:44 PM - Glen Ogilvie

Any progress on this?  We would really like to use this feature in a project that is coming up soon.

#7 - 05/10/2013 04:10 AM - Dominic Cleal
- Assignee deleted (Ohad Levy)

- Target version deleted (1.2.0)

Glen, there hasn't been any progress that I'm aware of, so removing the 1.2 tracker.  If somebody is able to rebase the patch, we can include it in a

future release.

#8 - 05/14/2013 08:51 PM - Glen Ogilvie

Dominic Cleal wrote:

Glen, there hasn't been any progress that I'm aware of, so removing the 1.2 tracker.  If somebody is able to rebase the patch, we can include it in

a future release.

 This is something that would be really helpful to us if it worked.  I don't think I have the Ruby skills however, to rebase this patch myself.

#9 - 07/03/2013 04:24 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.3.0

https://github.com/theforeman/foreman/pull/743

#10 - 09/07/2013 01:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset beed05de7562fbc74d751860434b681d431acfe5.
